# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Encode.pm) perl(HTML/Entities.pm) perl(Test.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-HTML-Toc
Version:        1.12
Release:        alt1_9
Summary:        Generate, insert and update HTML Table of Contents
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/HTML-Toc/
Source0:        http://www.cpan.org/authors/id/F/FV/FVULTO/HTML-Toc-%{version}.tar.gz
# don't skip man pages
Patch0:         man3pods.patch
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(HTML/Parser.pm)
BuildRequires:  perl(Test/Differences.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
Generate, insert and update HTML Table of Contents (ToC).

%prep
%setup -q -n HTML-Toc-%{version}
%patch0 -p 1
find . -type f | xargs chmod 0644

cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
sed -e '/perl(HTML::_/d'
EOF

%global __perl_provides %{_builddir}/HTML-Toc-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.12-alt1_9
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.12-alt1_8
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 1.12-alt1_6
- fc import

